<?php
/*
 JoomlaXTC Virtuemart Manufacturers module
 version 1.0 for Joomla 1.5
 copyright (c) 2009 JoomlaXTC   www.joomlaxtc.com
*/
if (!defined('_JEXEC')) die('Direct Access to this location is not allowed.');

global $mainframe,$sess,$VM_LANG,$category_id,$manufacturer_id, $my, $cart, $vmLogger,$func;

$auth = $_SESSION['auth'];
if( file_exists(dirname(__FILE__).'/../../components/com_virtuemart/virtuemart_parser.php' )) {
	require_once( dirname(__FILE__).'/../../components/com_virtuemart/virtuemart_parser.php' );
} else {
	require_once( dirname(__FILE__).'/../components/com_virtuemart/virtuemart_parser.php' );
}

$manalt = $params->get( 'manalt', '' );
$rows = $params->get( 'rows', 2 );
$cols = $params->get( 'cols', 3 );
$sort = $params->get( 'sort', 'r' );
$hdrhtml = $params->get( 'hdrhtml', '' );
$bodyhtml = $params->get( 'bodyhtml', '' );
$ftrhtml = $params->get( 'ftrhtml', '' );
$mfilter = $params->get( 'mfilter', '' );
$imagefolder = $params->get( 'imagefolder', '' );
$rescale = $params->get( 'rescale', 0 );
$imagew = $params->get( 'imagew', 0 );
$imageh = $params->get( 'imageh', 0 );

$live_site = JURI::base();
$db = new ps_DB;
$imagepath = realpath(dirname(__FILE__).'/../../images/'.$imagefolder);
$sort = (($sort == 'r') ? ' order by rand() ' : ' order by mf_name ');
if (empty($mfilter)) { $filter=''; }
elseif (count($mfilter) == 1) {
 $filter = ' and manufacturer_id <> '.$mfilter[0];
}
else { $filter = ' and manufacturer_id not in ('.implode(',',$mfilter).')'; }
$q='SELECT a.*,b.mf_category_name FROM #__{vm}_manufacturer as a, #__{vm}_manufacturer_category as b WHERE b.mf_category_id = a.mf_category_id'.$filter.$sort.'LIMIT '. $rows*$cols;

$db->query($q);
if ($db->num_rows() > 0) {
	echo $hdrhtml;
	echo '<table width="100%" border="0" cellpadding="0" cellspacing="0">';
	$c = 1;
	while ($rec = $db->next_record()) {
		$mid=$db->f("manufacturer_id");
		$mfurl= 'index.php?option=com_virtuemart&page=shop.browse&manufacturer_id='.$mid.'&Itemid='.$sess->getShopItemid();
		$html = $bodyhtml;
		$html = str_replace( '{name}', $db->f("mf_name"), $html );
		$html = str_replace( '{email}', $db->f("mf_mail"), $html );
		$html = str_replace( '{desc}', $db->f("mf_desc"), $html );
		$html = str_replace( '{category}', $db->f("mf_category_name"), $html );
		$html = str_replace( '{url}', $db->f("mf_url"), $html );
		$html = str_replace( '{browse_page}', $mfurl, $html );
		
		if (strpos($html,'{image}')!==false) {
			if ($rescale==0) {
				$imagepref = $imagepath.'/'.$mid;
				if (file_exists($imagepref.'.gif')) {
					$imageurl = 'images/'.$imagefolder.'/'.$mid.'.gif';
				}
				elseif (file_exists($imagepref.'.jpg')) {
					$imageurl = 'images/'.$imagefolder.'/'.$mid.'.jpg';
				}
				elseif (file_exists($imagepref.'.jpeg')) {
					$imageurl = 'images/'.$imagefolder.'/'.$mid.'.jpeg';
				}
				elseif (file_exists($imagepref.'.png')) {
					$imageurl = 'images/'.$imagefolder.'/'.$mid.'.png';
				}
				elseif (file_exists($imagepref.'.bmp')) {
					$imageurl = 'images/'.$imagefolder.'/'.$mid.'.bmp';
				}
				else {
					$imageurl = IMAGEURL.NO_IMAGE.'?mid='.$mid;
				}
			}
			else {
				$imagefile = $imagepath.'/'.$mid.'_'.$imagew.'x'.$imageh.'.jpg';
				$imageurl = 'images/'.$imagefolder.'/'.$mid.'_'.$imagew.'x'.$imageh.'.jpg';
				$imagepref = $imagepath.'/'.$mid;
				if (!file_exists($imagefile)) {
					if (file_exists($imagepref.'.gif')) {
						$img = @imagecreatefromgif($imagepref.'.gif');
					}
					elseif (file_exists($imagepref.'.jpg')) {
						$img = @imagecreatefromjpeg($imagepref.'.jpg');
					}
					elseif (file_exists($imagepref.'.jpeg')) {
						$img = @imagecreatefromjpeg($imagepref.'.jpeg');
					}
					elseif (file_exists($imagepref.'.png')) {
						$img = @imagecreatefrompng($imagepref.'.png');
					}
					elseif (file_exists($imagepref.'.bmp')) {
						$img = @imagecreatefrombmp($imagepref.'.bmp');
					}
					else {
						$imageurl = IMAGEURL.NO_IMAGE;
					}
		
					if (isset($img)) {
						$width = imageSX($img);
						$height = imageSY($img);
						if (empty($imagew)) { $imagew = $width; }
						if (empty($imageh)) { $imageh = $height; }
	
						$target_ratio = $imagew / $imageh;
						$img_ratio = $width / $height;
						if ($target_ratio > $img_ratio) {
							$new_height = $imageh;
							$new_width = $img_ratio * $imageh;
						} else {
							$new_height = $imagew / $img_ratio;
							$new_width = $imagew;
						}
					
						if ($new_height > $imageh) { $new_height = $imageh; }
						if ($new_width > $imagew) { $new_width = $imagew; }
					
						$new_img = ImageCreateTrueColor($new_width, $new_height);
						imagecopyresampled($new_img, $img, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
						if (! imagejpeg($new_img,$imagefile)) {
							$imageurl = IMAGEURL.NO_IMAGE;
						}
					}			
				}
			}			
			$html = str_replace( '{image}', $imageurl, $html );
		}
		if ($c == 1) echo '<tr>';
		echo '<td align="center" valign="middle">'.$html.'</td>';
		if ($c++ == $cols) { echo '</tr>'; $c = 1; }
	}
	if ($c <= $cols) echo '</tr>';
	echo '</table>';
	echo $ftrhtml;
}
?>
